<template>
	<web-view :src="webViewSrc"></web-view>
</template>

<script>
	import {getToken} from '@/libs/auth.js';
	export default {
		data() {
			return {
				webViewSrc:""
			}
		},
		onLoad(options) {
			this.init(options)
		},
		methods: {
			init(options){
				this.webViewSrc=`${options.href}?token=${getToken()}`
				uni.setNavigationBarTitle({
					title:`${options.name}`
				})
			}
		}
	}
</script>

<style>

</style>
